#ifndef CTRL_H
#define CTRL_H
typedef struct ctrl_struct{
  char * infile;
  char * outfile;
  float resolution;   /* units per voxel edge */
  int datasize[3];
  int origin[3];
  int use_chop;      /* flag to use region (1) or whole (0) */
  int choplimits[6];
  float sliceplane[5]; /* offset alpha beta  */
  float transform[6]; /* Versor rotation plus translation */
  int use_newspacing;    /* flag to use raw params */
  int use_versor;    /* flag to use raw params */
  int auto_center;
  int linear;
  float axis[3];
  double center[3];
  double newspacing[3];
  float rotangle;
  float transl[3];
  float scale;

  int sliceskip;
  int nslices;
  tomo_t lower;
  tomo_t upper;
  int process;
  int write_regions;
   float pre_step;
   int pre_iter;
   int wshd_level;
   int wshd_thr;

   int wloop;
   float wtop;
   float wbot;
   
   int tloop;
   float ttop;
   float tbot;
   int nloop;
  int slicenum;
   

}Ctrl;
#endif /*CTRL_H*/


